apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    deployment.kubernetes.io/revision: "3"
    image.openshift.io/triggers: '[{ "fieldPath": "spec.template.spec.containers[?(@.name==\"oadp-restore-issue\")].image",
      "from": { "kind": "ImageStreamTag", "name": "mariadb:latest", "namespace": "openshift"
      } }]'
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"apps/v1","kind":"Deployment","metadata":{"annotations":{"image.openshift.io/triggers":"[{ \"fieldPath\": \"spec.template.spec.containers[?(@.name==\\\"oadp-restore-issue\\\")].image\", \"from\": { \"kind\": \"ImageStreamTag\", \"name\": \"mariadb:latest\", \"namespace\": \"openshift\" } }]"},"labels":{"app":"oadp-restore-issue"},"name":"oadp-restore-issue","namespace":"oadp-restore-issue"},"spec":{"replicas":1,"selector":{"matchLabels":{"app":"oadp-restore-issue"}},"strategy":{"type":"Recreate"},"template":{"metadata":{"labels":{"app":"oadp-restore-issue"}},"spec":{"containers":[{"env":[{"name":"MYSQL_DATABASE","value":"oadp_restore_issue"},{"name":"MYSQL_USER","value":"oadp_restore_issue"},{"name":"MYSQL_PASSWORD","value":"oadp_restore_issue"}],"image":"image-registry.openshift-image-registry.svc:5000/openshift/mariadb:latest","livenessProbe":{"exec":{"command":["mysqladmin","--user=root","ping"]},"initialDelaySeconds":30},"name":"oadp-restore-issue","readinessProbe":{"exec":{"command":["/bin/sh","-c","mysqladmin --host='127.0.0.1' --user=\"${MYSQL_USER}\" --password=\"${MYSQL_PASSWORD}\" ping"]}},"securityContext":{"allowPrivilegeEscalation":false,"capabilities":{"drop":["ALL"]}},"volumeMounts":[{"mountPath":"/var/lib/mysql/data","name":"oadp-restore-issue"}]}],"volumes":[{"name":"oadp-restore-issue","persistentVolumeClaim":{"claimName":"oadp-restore-issue"}}]}}}}
    openshift.io/backup-registry-hostname: image-registry.openshift-image-registry.svc:5000
    openshift.io/backup-server-version: "1.29"
    openshift.io/restore-registry-hostname: image-registry.openshift-image-registry.svc:5000
    openshift.io/restore-server-version: "1.29"
  creationTimestamp: "2024-04-25T12:54:46Z"
  generation: 2
  labels:
    app: oadp-restore-issue
    velero.io/backup-name: oadp-restore-issue
    velero.io/restore-name: oadp-restore-issue
  name: oadp-restore-issue
  namespace: oadp-restore-issue
  resourceVersion: "135356151"
  uid: 903e2be9-883f-449e-a347-799fefa8ef69
spec:
  progressDeadlineSeconds: 600
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app: oadp-restore-issue
  strategy:
    type: Recreate
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: oadp-restore-issue
    spec:
      containers:
      - env:
        - name: MYSQL_DATABASE
          value: oadp_restore_issue
        - name: MYSQL_USER
          value: oadp_restore_issue
        - name: MYSQL_PASSWORD
          value: oadp_restore_issue
        image: image-registry.openshift-image-registry.svc:5000/openshift/mariadb@sha256:3dcf999b44b15f270d6ccd7450b95f16c22d8c2081e81b76c9393be854648e45
        imagePullPolicy: Always
        livenessProbe:
          exec:
            command:
            - mysqladmin
            - --user=root
            - ping
          failureThreshold: 3
          initialDelaySeconds: 30
          periodSeconds: 10
          successThreshold: 1
          timeoutSeconds: 1
        name: oadp-restore-issue
        readinessProbe:
          exec:
            command:
            - /bin/sh
            - -c
            - mysqladmin --host='127.0.0.1' --user="${MYSQL_USER}" --password="${MYSQL_PASSWORD}"
              ping
          failureThreshold: 3
          periodSeconds: 10
          successThreshold: 1
          timeoutSeconds: 1
        resources: {}
        securityContext:
          allowPrivilegeEscalation: false
          capabilities:
            drop:
            - ALL
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        volumeMounts:
        - mountPath: /var/lib/mysql/data
          name: oadp-restore-issue
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
      volumes:
      - name: oadp-restore-issue
        persistentVolumeClaim:
          claimName: oadp-restore-issue
status:
  collisionCount: 1
  conditions:
  - lastTransitionTime: "2024-04-25T12:54:46Z"
    lastUpdateTime: "2024-04-25T12:54:46Z"
    message: Deployment does not have minimum availability.
    reason: MinimumReplicasUnavailable
    status: "False"
    type: Available
  - lastTransitionTime: "2024-04-25T12:54:46Z"
    lastUpdateTime: "2024-04-25T12:54:49Z"
    message: Created new replica set "oadp-restore-issue-6b5754d444"
    reason: NewReplicaSetCreated
    status: "True"
    type: Progressing
  observedGeneration: 2

